package org.studiorailgun.conversation.parser;

/**
 * The Penn Treebank Tag Set
 */
public class PennTreebankTagSet {
    
    /**
     * Checks if this tag is a verb or not
     * @param tag The tag
     * @return true if it is a verb, false otherwise
     */
    public static boolean isVerb(String tag){
        switch(tag){
            case "VB":
            case "VBD":
            case "VBG":
            case "VBN":
            case "VBP":
            case "VBZ":
            case "VH":
            case "VHD":
            case "VHG":
            case "VHN":
            case "VHP":
            case "VHZ":
            case "VV":
            case "VVD":
            case "VVG":
            case "VVN":
            case "VVP":
            case "VVZ": {
                return true;
            }
            default: {
                return false;
            }
        }
    }

    /**
     * Checks if this tag is a form of "to be" or not
     * @param tag The tag
     * @return true if it is a form of "to be", false otherwise
     */
    public static boolean isBe(String tag){
        switch(tag){
            case "VB":
            case "VBD":
            case "VBG":
            case "VBN":
            case "VBP":
            case "VBZ": {
                return true;
            }
            default: {
                return false;
            }
        }
    }

}
